<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
	<xsl:import href="../../COMMON/FunctionForXsl.xsl"/>
	<xsl:output method="xml"/>
	<xsl:param name="DateTimeSend"/><!--  select="'2015-07-01T00:00:00+03:00'"-->
	<xsl:template name="StName">
		<xsl:param name="CodeSt"/>
		<xsl:variable name="NameSt">
			<xsl:choose>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt])>0">
					<xsl:choose>
						<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/RussianEDIName)>0">
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/RussianEDIName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/RussianStName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt])>0">
					<xsl:choose>
						<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/ForeignEDIName)>0">
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/ForeignEDIName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/ForeignStName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>						
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="$NameSt"/>				
	</xsl:template>	
	
	<xsl:template name="RwStPr">
		<xsl:param name="CodeSt"/>
		<xsl:variable name="NameSt">
			<xsl:choose>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt])>0">
					<xsl:value-of select="concat(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/RussianStLand,document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/RussianStCode)"/>
				</xsl:when>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt])>0">
					<xsl:value-of select="concat(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/ForeignStLand,document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/ForeignStCode)"/>
				</xsl:when>						
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="$NameSt"/>				
	</xsl:template>
	<xsl:template name="StNamePr">
		<xsl:param name="CodeSt"/>
		<xsl:variable name="NameSt">
			<xsl:choose>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt])>0">
					<xsl:choose>
						<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/ForeignEDIName)>0">
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/ForeignEDIName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$CodeSt]/ForeignStName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="count(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt])>0">
					<xsl:choose>
						<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/RussianEDIName)>0">
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/RussianEDIName"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$CodeSt]/RussianStName"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>						
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="$NameSt"/>				
	</xsl:template>	
	<xsl:template name="ValidInnCee">
		<xsl:param name="INN"/>
		<xsl:variable name="N1" select="number(substring($INN,1,1))"/>											
		<xsl:variable name="N2" select="number(substring($INN,2,1))"/>						
		<xsl:variable name="N3" select="number(substring($INN,3,1))"/>
		<xsl:variable name="N4" select="number(substring($INN,4,1))"/>
		<xsl:variable name="N5" select="number(substring($INN,5,1))"/>
		<xsl:variable name="N6" select="number(substring($INN,6,1))"/>
		<xsl:variable name="N7" select="number(substring($INN,7,1))"/>
		<xsl:variable name="N8" select="number(substring($INN,8,1))"/>
		<xsl:variable name="N9" select="number(substring($INN,9,1))"/>
		<xsl:variable name="N10" select="number(substring($INN,10,1))"/>
		<xsl:variable name="N11" select="number(substring($INN,11,1))"/>	
		<xsl:choose>
			<xsl:when test="number($INN)">
				<xsl:choose>
					<xsl:when test="string-length($INN)=10">
						<xsl:variable name="Nsum" select="(($N1 * 2+$N2 * 4+$N3 * 10+$N4 * 3+$N5 * 5+$N6 * 9+$N7 * 4+$N8 * 6+$N9 * 8) mod 11) mod 10"/>
						<xsl:choose>
							<xsl:when test="(number(substring($INN,10,1))=$Nsum)">0</xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:when test="string-length($INN)=12">
						<xsl:variable name="Nsum1" select="($N1 * 7+$N2 * 2+$N3 * 4+$N4 * 10+$N5 * 3+$N6 * 5+$N7 * 9+$N8 * 4+$N9 * 6+$N10 * 8) mod 11"/>
						<xsl:variable name="Nsum2" select="($N1 * 3+$N2 * 7+$N3 * 2+$N4 * 4+$N5 * 10+$N6 * 3+$N7 * 5+$N8 * 9+$N9 * 4+$N10 * 6+$N11 * 8) mod 11"/>
						<xsl:variable name="K1Sum">
							<xsl:choose>
								<xsl:when test="$Nsum1 >9">
									<xsl:value-of select="$Nsum1 mod 10"/>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$Nsum1"/></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="K2Sum">
							<xsl:choose>
								<xsl:when test="$Nsum2>9">
									<xsl:value-of select="$Nsum2 mod 10"/>
								</xsl:when>
								<xsl:otherwise><xsl:value-of select="$Nsum2"/></xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="(number(substring($INN,11,1))=number($K1Sum) and number(substring($INN,12,1))=number($K2Sum))">0</xsl:when>
							<xsl:otherwise>1</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>1</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ErrorNode">
		<xsl:param name="MessErr"/>
		<xsl:param name="DocId"/>
		<xsl:param name="PathErr"/>
		<xsl:param name="Category"/>
		<xsl:param name="Num"/>
		<xsl:param name="TypeDoc"/>
		<xsl:param name="PosPkg"/>
		<xsl:variable name="Cat">
			<xsl:choose>
				<xsl:when test="string-length($Category)=0">ERROR</xsl:when>
				<xsl:otherwise><xsl:value-of select="$Category" /></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<RESULTINFORMATION_ITEM  xmlns:ctmtd="http://rail.ctm.ru/TD/Document">
			<ResultDescription><xsl:value-of select="$MessErr"/></ResultDescription>
			<ResultIdDocument><xsl:value-of select="$DocId"/></ResultIdDocument>
			<ResultTypeDocument><xsl:value-of select="$TypeDoc"/></ResultTypeDocument>
			<ResultPosInPkgDocument><xsl:value-of select="$PosPkg"/></ResultPosInPkgDocument>
			<ResultPathNode><xsl:value-of select="$PathErr"/></ResultPathNode>
			<ResultCategory><xsl:value-of select="$Cat"/></ResultCategory>
			<DocumentNumber><xsl:value-of select="$Num"/></DocumentNumber>
		</RESULTINFORMATION_ITEM>	
	</xsl:template>
	
	<xsl:template name="ValidContainerNum">
		<xsl:param name="Nums"/>
		<xsl:variable name="Sing0" select="string-length($Nums)&lt;18"/>
		<xsl:variable name="Sing1" select="substring($Nums,1,4)"/>
		<xsl:variable name="Sing2" select="substring($Nums,5)"/>
		<xsl:variable name="Sing11" select="contains(translate($Sing1,'QWERTYUIOPLKJHGFDSAZXCVBNM','AAAAAAAAAAAAAAAAAAAAAAAAA'),'A')"/>
		<xsl:variable name="Sing21">
			<xsl:choose>
				<xsl:when test="number($Sing2)=$Sing2 and contains(translate($Sing2,'0123456789', '9999999999'),'9')">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose> 
		</xsl:variable> 
		<xsl:choose>
			<xsl:when test="$Sing0 and $Sing11 and number($Sing21)=1">
				<xsl:variable name="NumSRC">
					<xsl:call-template name="ValidContainerNumSRC">
						<xsl:with-param name="Nums" select="$Nums"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:value-of select="$NumSRC"/>
			</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	<xsl:template name="NumSel">
		<xsl:param name="SelN"/>
		<xsl:variable name="LenText" select="string-length($SelN)"/>
		<xsl:choose>
			<xsl:when test="number($LenText)=0">0</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="number($SelN)">
						<xsl:value-of select="string-length($SelN)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="NumSel">
							<xsl:with-param name="SelN" select="substring($SelN,2,number($LenText)-1)"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="GoodsFlk">
		<xsl:param name="PosRw"/>
		<xsl:param name="NodeRw"/> 
		<xsl:param name="Pos"/>
		<xsl:if test="string-length(PlacesQuantity)=0 and number(PlacesQuantity)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с товаром, у которого не заполнено поле Число мест'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/PlacesQuantity')"/>						
			</xsl:call-template>						
		</xsl:if>
		<!--<xsl:if test="string-length(PlacesDescription)=0 and string-length(PlacesCode)=0 ">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с товаром, у которого не заполнено поле Род упаковки/Описание грузовых мест..'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/PlacesDescription')"/>						
			</xsl:call-template>						
		</xsl:if>-->
		<xsl:variable name="PlcCod" select="PlacesCode"/>
		<xsl:if test="string-length(PlacesCode)>0 and string-length(document('../../NSI/TranspNSIXml.xml')//PackingRZD_ITEM[KOD_UPAK_OON=$PlcCod]/KOD_UPAK)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с товаром, у которого в поле Код упаковки указан код не используемый в РЖД.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/PlacesCode')"/>						
			</xsl:call-template>						
		</xsl:if>
		<xsl:if test="string-length(GrossWeightQuantity)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с товаром, у которого не заполнено поле Вес товара определенный отправителем, брутто (кг).'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GrossWeightQuantity')"/>						
			</xsl:call-template>						
		</xsl:if>
		<xsl:if test="($NodeRw='RWBGoods_dop11/RWBGOODS_DOP11_ITEM' or $NodeRw='RWBGoods_Auto/RWBGOODS_AUTO_ITEM') and (string-length(GNG)=0 or number(GNG)=0)">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с товаром, у которого не заполнено или не правильно поле код ГНГ товара.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GNG')"/>						
			</xsl:call-template>						
		</xsl:if>
		<xsl:if test="string-length(GNG)&lt;8 and ($NodeRw='RWBGoods_dop11/RWBGOODS_DOP11_ITEM' or $NodeRw='RWBGoods_Auto/RWBGOODS_AUTO_ITEM')">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с  кодом ГНГ товара (в приложении) мененее 8 символов.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GNG')"/>			
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(GNG)>0 and ($NodeRw='RWBGoods_dop11/RWBGOODS_DOP11_ITEM' or $NodeRw='RWBGoods_Auto/RWBGOODS_AUTO_ITEM')">
			<xsl:variable name="CodeGng" select="GNG"/>
			<xsl:if test="string-length(document('../../NSI/GNGETSNG.xml')//GNG2007_ITEM[Code=$CodeGng]/Code)=0">
				<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с  кодом ГНГ товара (в приложении), который отсутствует в справочнике.'"/>
					<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GNG')"/>	
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
		<xsl:if test="substring(GNG,1,4)='9902'">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с кодом ГНГ товара, который РЖД  не зарегистрирует.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GNG')"/>						
				<xsl:with-param name="Category">WARNING</xsl:with-param>
			</xsl:call-template>						
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="VagonRwFlk">
		<xsl:param name="NumVagon"/>
		<xsl:param name="PosRw"/>
		<xsl:param name="NodeRw"/> 
		<xsl:param name="Pos"/>
		<xsl:param name="Flg"/>	
		<xsl:param name="NumGrS"/>
		<!--<xsl:if test="string-length(CarriageTypeID)=0 and string-length(../../ContainerID)>0 and (string-length(../../ContainerRailwayCode)=0 or string-length(../../ContainerOwner)=0)">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Род вагона.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/CarriageTypeID')"/>						
			</xsl:call-template>						
		</xsl:if>		-->
		<xsl:if test="string-length(OwnerType)=0 and string-length(../../ContainerID)>0 and (string-length(../../ContainerRailwayCode)=0 or string-length(../../ContainerOwner)=0)">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Признак собственника.'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/OwnerType')"/>						
			</xsl:call-template>						
		</xsl:if>
		<xsl:if test="string-length(GoodsWeight)=0 and number(../../GrossWeightQuantity)>0 and $Flg!=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Вес груза в вагоне .'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/GoodsWeight')"/>						
			</xsl:call-template>						
		</xsl:if>
		<!--<xsl:if test="string-length(AxisQuantity)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Количество осей вагона .'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/AxisQuantity')"/>						
			</xsl:call-template>						
		</xsl:if>-->
		<xsl:if test="string-length(Tare)=0">
			<xsl:call-template name="ErrorNode">
				<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Вес тары .'"/>
				<xsl:with-param name="DocId" select="../../../@id"/>
				<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/Tare')"/>						
			</xsl:call-template>						
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$Flg=0">
<!--				<xsl:if test="string-length(CarriageLand)=0 and string-length(../../ContainerID)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не заполнено поле Код страны собственника.'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/CarriageLand')"/>						
					</xsl:call-template>						
				</xsl:if>-->
		
				<xsl:if test="string-length($NumVagon)>0 and number($NumVagon)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не правильно заполнено поле Номер вагона (не должен заполняться 0).'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/CarriageId')"/>						
						</xsl:call-template>						
				</xsl:if>
				<xsl:if test="(string-length($NumVagon)>0 and number(translate($NumVagon,'1234567890','0000000000'))!=0) or string-length($NumVagon)>8">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не правильно заполнено поле Номер вагона (содержит не цифровые символы или номер содержит более 8 символов).'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/CarriageId')"/>						
						</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length($NumVagon)=7 and string-length(CarriageLand)=0 and string-length(../../ContainerID)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого Номер 7 символов и Код страны собственника не заполнен.'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/CarriageLand')"/>						
					</xsl:call-template>						
				</xsl:if>		
			</xsl:when>
			<xsl:when test="$Flg=1">
<!--				<xsl:if test="string-length(WOWNER)=0 and string-length(../../ContainerID)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном в вагонной ведомости, у которого не заполнено поле Код страны собственника.'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/WOWNER')"/>						
					</xsl:call-template>						
				</xsl:if>-->
				<xsl:if test="string-length($NumVagon)>0 and number($NumVagon)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не правильно заполнено поле Номер вагона (не должен заполняться 0).'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/RailwayBill')"/>						
						</xsl:call-template>						
				</xsl:if>	
				<xsl:if test="string-length($NumVagon)=7 and string-length(WOWNER)=0 and string-length(../../ContainerID)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого Номер 7 символов и Код страны собственника не заполнен.'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/WOWNER')"/>						
					</xsl:call-template>						
				</xsl:if>		
				<xsl:variable name="NotNumSel">
					<xsl:call-template name="NumSel">
						<xsl:with-param  name="SelN" select="SealID"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:if test="$NotNumSel=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС, в которой  в таблице гр.',$NumGrS,' номер пломбы не содержит цифр.')"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/SealID')"/>	
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="$NotNumSel>10">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС, в которой  в таблице гр.',$NumGrS,' номер пломбы в цифрах более 10 символов.')"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRw,']/RWB_ITEM/',$NodeRw,'[',$Pos,']/SealID')"/>	
					</xsl:call-template>						
				</xsl:if>	
			</xsl:when>
		</xsl:choose>

	</xsl:template>	
	
	<xsl:template match="/">
		<xsl:apply-templates select="//Package"/>
	</xsl:template>
	
		
	<xsl:template match="Package">
		<xsl:variable name="NewFormat">
			<xsl:choose>
				<xsl:when test="number(substring($DateTimeSend,1,4))>2014 and  number(substring($DateTimeSend,6,2))>6 and  number(substring($DateTimeSend,9,2))>0">1</xsl:when>
				<xsl:otherwise>0</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<ResultInformation>
			<xsl:for-each select="//RWB/RWB_ITEM">
				<xsl:variable name="PosRwb" select="position()"/>
				<xsl:if test="string-length(RegNum)=0">	
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Номер накладной.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RegNum')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(RegNum)>0 and number(RegNum)=0">	
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с неправильно заполненным полем Номер накладной (не должен заполняться 0).'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RegNum')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="$NewFormat=1 and string-length(RegNum)!=8">	
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с неправильно заполненным полем Номер накладной (8-ми значный цифровой номер отправки).'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RegNum')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(RegDate)=0">	
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Дата составления накладной.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RegDate')"/>						
					</xsl:call-template>						
				</xsl:if>				
				<xsl:if test="string-length(GrossWeightQuantity)=0 or number(GrossWeightQuantity)=0">	
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным или равным 0 полем Общий вес товаров, определенный отправителем, брутто (кг).'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/GrossWeightQuantity')"/>						
					</xsl:call-template>						
				</xsl:if>
				
				<xsl:if test="string-length(Consignee_Name)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Наименование получателя.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignee_Name')"/>						
					</xsl:call-template>						
				</xsl:if>				
				<xsl:if test="(string-length(Consignee_RailCode)=0 or string-length(Consignee_RailCode)!=4) and  (string-length(Consignee_OKPOID)=0 or string-length(Consignee_OKPOID)!=4)"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным или неправильно заполнеными полем ЖД код получателя (д.б. 4 символа) .'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignee_RailCode')"/>	
					</xsl:call-template>						
				</xsl:if>		
				<xsl:if test="(string-length(Consignor_RailCode)=0 or string-length(Consignor_RailCode)!=4)  and  (string-length(Consignor_OKPOID)=0 or string-length(Consignor_OKPOID)!=4)"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным или неправильно заполнеными полем ЖД код отправителя (д.б. 4 символа).'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignor_RailCode')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(Consignor_Name)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Наименование отправителя.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignor_Name')"/>						
					</xsl:call-template>						
				</xsl:if>	
				<xsl:if test="string-length(Consignor_City)>35"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с значением в поле Населенный пунк Грузоотправителя, длина которого превышает 35 сим..'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignor_City')"/>	
						<xsl:with-param name="Category">WARNING</xsl:with-param>		
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(Consignее_City)>35"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с значением в поле Населенный пунк Грузополучателя, длина которого превышает 35 сим..'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignее_City')"/>
						<xsl:with-param name="Category">WARNING</xsl:with-param>		
					</xsl:call-template>						
				</xsl:if>				
				<xsl:if test="string-length(Consignee_CountryCode)>0 and string-length(Consignor_CountryCode)>0 and Consignee_CountryCode=Consignor_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Значения полей СМГС Грузополучатель Код cтраны и Грузоотправитель Код cтраны совпадают.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="Category">WARNING</xsl:with-param>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/Consignor_CountryCode')"/>						
					</xsl:call-template>	
				</xsl:if>
				<xsl:if test="string-length(DestStationName)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненной гр 5 - Наименование станции назначения.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DestStationName')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(DestRailwayCode)>0 or string-length(DestStationCode)>0"> 
					<xsl:variable name="DestCr">
						<xsl:choose>
							<xsl:when test="string-length(DestRailwayCode)>0">
								<xsl:variable name="DsRw" select="DestRailwayCode"/>
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DsRw]/ABC2"/>
							</xsl:when>
							<xsl:when test="string-length(DestStationCode)>0">
								<xsl:variable name="DsSt" select="DestStationCode"/>
								<xsl:variable name="DsStRw">
									<xsl:choose>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DsSt]/ForeignStLand)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[ForeignStCode=$DsSt]/ForeignStLand"/>
										</xsl:when>
										<xsl:when test="string-length(document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DsSt]/RussianStLand)>0">
											<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//BorderStation_ITEM[RussianStCode=$DsSt]/RussianStLand"/>
										</xsl:when>
									</xsl:choose>
								</xsl:variable> 
								<xsl:value-of select="document('../../NSI/TranspNSIXml.xml')//Country_ITEM[RailCode=$DsStRw]/ABC2"/>
							</xsl:when>
						</xsl:choose>
					</xsl:variable>
					<xsl:if  test="string-length($DestCr)>0 and $DestCr!=Consignee_CountryCode"> 	
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не правильно заполненной гр 5 - Станция назначения не соответсвует Стране получателя.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DestStationName')"/>	
						</xsl:call-template>						
					</xsl:if>	
				</xsl:if>
				<xsl:if test="string-length(ContainerID)>0">
					<xsl:variable name="ValidCont">
						<xsl:call-template name="ValidContainerNum">
							<xsl:with-param name="Nums" select="normalize-space(translate(ContainerID,'-P',''))"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:if test="$ValidCont=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с № контейнера - не соответсвует формату ХХХХ9999999 либо контрольная сумма не соответсвует контрольному числу'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerID')"/>						
							<xsl:with-param name="Category">WARNING</xsl:with-param>
						</xsl:call-template>		
					</xsl:if>
					<xsl:if test="string-length(ContainerModeDescription)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным гр 18.-Описание вида контейнера '"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerModeDescription')"/>
							<xsl:with-param name="Category">WARNING</xsl:with-param>	
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="string-length(ContainerCapacity)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным гр 18.- Трафаретная масса брутто контейнера'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerCapacity')"/>
							<xsl:with-param name="Category">WARNING</xsl:with-param>			
						</xsl:call-template>						
					</xsl:if>
					<xsl:variable name="VedCn" select="count(SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(ContainerID)>0 and string-length(OwnerType)>0])=0"/>
					<xsl:variable name="RwbVag" select="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and string-length(OwnerType)=0 and string-length(CarriageLand)=0])>0"/>
					<xsl:variable name="VedVag" select="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0 and string-length(OwnerType)=0 and string-length(WOWNER)=0])>0"/>
					<xsl:if test="string-length(ContainerWeight)=0 and $VedCn"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным Вес контейнера.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerWeight')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="string-length(ContainerOwner)=0  and $VedCn and $RwbVag and $VedVag"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным Признак собственника контейнера.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerOwner')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="string-length(ContainerRailwayCode)=0 and ContainerOwner!='П'  and $VedCn and $RwbVag and $VedVag"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным Код дороги собственника контейнера.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ContainerRailwayCode')"/>						
						</xsl:call-template>						
					</xsl:if>
				</xsl:if>
				<xsl:variable name="ValidINN">
					<xsl:call-template name="ValidInnCee">
						<xsl:with-param name="INN" select="RWBForwarder/RWBFORWARDER_ITEM/Forwarder_INN"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="ValINN">
					<xsl:choose>
						<xsl:when test="string-length(RWBForwarder/RWBFORWARDER_ITEM/Forwarder_INN)>0">
							<xsl:choose>
								<xsl:when test="$ValidINN=1">1</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>0</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>	
				<xsl:for-each select="RWBForwarder/RWBFORWARDER_ITEM">
					<xsl:variable name="PosF" select="position()"/>
					<xsl:if test="string-length(Forwarder_Name)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем  Наименование экспедитора.'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBForwarder/RWBFORWARDER_ITEM[',$PosF,']/Forwarder_Name')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:variable name="FCountr" select="Forwarder_CountryCode"/>
					<xsl:if test="string-length($FCountr)=0 or string-length(document('../../NSI/TranspNSIXml.xml')//Country_ITEM[ABC2=$FCountr]/Name)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным или не верно заполненным полем  Код страны экспедитора.'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBForwarder/RWBFORWARDER_ITEM[',$PosF,']/Forwarder_CountryCode')"/>						
						</xsl:call-template>						
					</xsl:if>		
					<xsl:if test="string-length(Forwarder_INN)=0 and $FCountr='RU'"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем ИНН экспедитора.'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBForwarder/RWBFORWARDER_ITEM[',$PosF,']/Forwarder_INN')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="$NewFormat=1 and string-length(Forwarder_Code)!=4">	
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Код экспедитора.'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBForwarder/RWBFORWARDER_ITEM[',$PosF,']/Forwarder_Code')"/>						
						</xsl:call-template>						
					</xsl:if>						
				</xsl:for-each>
				<xsl:variable name="CountStBord" select="count(RWBBorderStation/RWBBORDERSTATION_ITEM[string-length(StationCode)>0])"/>
				<xsl:variable name="CountForward" select="count(RWBForwarder/RWBFORWARDER_ITEM[string-length(Forwarder_Name)>0])"/>
				
				<xsl:if test="$CountStBord>0 and $CountForward>0 and $CountForward!=$CountStBord+1"> 
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в которой в таблице с Экспедиторами не достаточно записей (по каждой станции из 7 гр. д.б. экспедитор с входящей страны и экспедитор принимающей страны) .'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBForwarder/RWBFORWARDER_ITEM/Forwarder_Name')"/>		
						<xsl:with-param name="Category" select="'WARNING'"/>				
					</xsl:call-template>						
				</xsl:if>

				<xsl:if test="string-length(DestRailwayCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Код дороги станции назначения.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DestRailwayCode')"/>						
					</xsl:call-template>						
				</xsl:if>					
				<xsl:if test="string-length(DestStationCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Код станции назначения.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DestStationCode')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(DepRailwayCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Код дороги станции отправления.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DepRailwayCode')"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(DepStationCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Код станции отправления'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/DepStationCode')"/>						
					</xsl:call-template>						
				</xsl:if>		
				<xsl:if test="count(RWBBorderStation/RWBBORDERSTATION_ITEM[string-length(StationCode)>0])=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненой таблицей в гр.6.'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBBorderStation/RWBBORDERSTATION_ITEM[1]/StationCode')"/>	
					</xsl:call-template>						
				</xsl:if>
				<xsl:for-each select="RWBBorderStation/RWBBORDERSTATION_ITEM[string-length(StationCode)>0]">
					<xsl:variable name="St41">
						<xsl:call-template name="StName">
							<xsl:with-param name="CodeSt" select="StationCode"/>
						</xsl:call-template>	
					</xsl:variable>	
					<xsl:variable name="RwStLand41">
						<xsl:call-template name="RwStPr">
							<xsl:with-param name="CodeSt" select="StationCode"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:if test="string-length($St41)=0 or string-length($RwStLand41)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС в гр.6., указан код станции, для которой в справочнике не найдена парная пограничная станция'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBBorderStation/RWBBORDERSTATION_ITEM[',position(),']/StationCode')"/>	
						</xsl:call-template>
					</xsl:if>
					<xsl:variable name="St17">
						<xsl:choose>
							<xsl:when test="string-length(StationName)=0">
								<xsl:call-template name="StNamePr">
									<xsl:with-param name="CodeSt" select="StationCode"/>
								</xsl:call-template>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="StationName"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:if test="string-length($St17)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС в гр.6., указан код станции, который не найден в справочнике (пустое наименование)'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBBorderStation/RWBBORDERSTATION_ITEM[',position(),']/StationCode')"/>	
						</xsl:call-template>
					</xsl:if>	
				</xsl:for-each>
				<xsl:for-each select="RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[string-length(DocumentNumber)>0]">
					<xsl:if test="contains(DocumentNumber,'+')">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в котором в гр.24 номер документа содержит недопустимый символ'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBConsignorDocument/RWBCONSIGNORDOCUMENT_ITEM[',position(),']/DocumentNumber')"/>	
						</xsl:call-template>
					</xsl:if>	
				</xsl:for-each>	
				<xsl:if test="string-length(ETSNG)=0 and count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(ETSNG)>0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(ETSNG)>0])=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным кодом ЕТ СНГ товара.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ETSNG')"/>	
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(string-length(GNG)=0 or number(GNG)=0) and count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GNG)>0 and number(GNG)>0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GNG)>0 and number(GNG)>0])=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным или неправильно заполненным кодом ГНГ товара.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/GNG')"/>	
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(GNG)&lt;8 and count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GNG)>0 and number(GNG)>0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GNG)>0 and number(GNG)>0])=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с  кодом ГНГ товара мененее 8 символов.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/GNG')"/>	
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="string-length(GNG)>0 and count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GNG)>0 and number(GNG)>0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GNG)>0 and number(GNG)>0])=0">
					<xsl:variable name="CodeGng" select="substring(GNG,1,8)"/>
					<xsl:if test="string-length(document('../../NSI/GNGETSNG.xml')//GNG2007_ITEM[Code=$CodeGng]/Code)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с  кодом ГНГ товара, который отсутствует в справочнике.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/GNG')"/>	
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="string-length(ETSNG)>0 and count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(GNG)>0 and number(GNG)>0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(GNG)>0 and number(GNG)>0])=0">
					<xsl:if test="string-length(ETSNG)>6 or contains(ETSNG,',')">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с  кодом ЕТ СНГ товара, который содержит недопустимые символы.'"/>
							<xsl:with-param name="DocId" select="../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/ETSNG')"/>	
						</xsl:call-template>
					</xsl:if>
				</xsl:if>
				<xsl:if test="substring(GNG,1,4)='9902'">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с кодом ГНГ товара, который РЖД  не зарегистрирует.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/GNG')"/>							
						<xsl:with-param name="Category">WARNING</xsl:with-param>
					</xsl:call-template>						
				</xsl:if>
				<xsl:choose>
					<xsl:when test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(PlacesQuantity)>0 or number(PlacesQuantity)=0])=0 and count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(PlacesQuantity)>0 or number(PlacesQuantity)=0])=0 and count(RWBGoods/RWBGOODS_ITEM[string-length(PlacesQuantity)>0 or number(PlacesQuantity)=0])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненными графами о Количестве грузовых мест.'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBGoods/RWBGOODS_ITEM[1]/PlacesQuantity')"/>	
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="string-length(GNG)>0 and count(//RWBGoods/RWBGOODS_ITEM[string-length(PlacesQuantity)>0 and number(PlacesQuantity)>0])=1">
								<xsl:for-each select="RWBGoods/RWBGOODS_ITEM[1]">
									<xsl:call-template name="GoodsFlk">
										<xsl:with-param name="PosRw" select="$PosRwb"/>
										<xsl:with-param name="NodeRw" select="'RWBGoods/RWBGOODS_ITEM'"/>
										<xsl:with-param name="Pos" select="1"/>
									</xsl:call-template>
								</xsl:for-each>	
							</xsl:when>
							<xsl:when test="count(RWBGoods_dop11/RWBGOODS_DOP11_ITEM[string-length(PlacesQuantity)>0])>0">
								<xsl:for-each select="RWBGoods_dop11/RWBGOODS_DOP11_ITEM">
									<xsl:call-template name="GoodsFlk">
										<xsl:with-param name="PosRw" select="$PosRwb"/>
										<xsl:with-param name="NodeRw" select="'RWBGoods_dop11/RWBGOODS_DOP11_ITEM'"/>										
										<xsl:with-param name="Pos" select="position()"/>
									</xsl:call-template>
								</xsl:for-each>	
							</xsl:when>
							<xsl:when test="count(RWBGoods_Auto/RWBGOODS_AUTO_ITEM[string-length(PlacesQuantity)>0])>0">
								<xsl:for-each select="RWBGoods_Auto/RWBGOODS_AUTO_ITEM">
									<xsl:call-template name="GoodsFlk">
										<xsl:with-param name="PosRw" select="$PosRwb"/>
										<xsl:with-param name="NodeRw" select="'RWBGoods_Auto/RWBGOODS_AUTO_ITEM'"/>											
										<xsl:with-param name="Pos" select="position()"/>
									</xsl:call-template>
								</xsl:for-each>	
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="string-length(DANGER)>0 and number(DANGER)=1">
										<xsl:for-each select="RWBGoods/RWBGOODS_ITEM[1]">
											<xsl:call-template name="GoodsFlk">
												<xsl:with-param name="PosRw" select="$PosRwb"/>
												<xsl:with-param name="NodeRw" select="'RWBGoods/RWBGOODS_ITEM'"/>
												<xsl:with-param name="Pos" select="1"/>
											</xsl:call-template>
										</xsl:for-each>	
									</xsl:when>
									<xsl:otherwise>
										<xsl:for-each select="RWBGoods/RWBGOODS_ITEM">
											<xsl:choose>
												<xsl:when test="string-length(../../ContainerID)>0">
													<xsl:if test="position()!=last()">
														<xsl:call-template name="GoodsFlk">
															<xsl:with-param name="PosRw" select="$PosRwb"/>
															<xsl:with-param name="NodeRw" select="'RWBGoods/RWBGOODS_ITEM'"/>
															<xsl:with-param name="Pos" select="position()"/>
														</xsl:call-template>
													</xsl:if>
												</xsl:when>
												<xsl:otherwise>
													<xsl:call-template name="GoodsFlk">
														<xsl:with-param name="PosRw" select="$PosRwb"/>
														<xsl:with-param name="NodeRw" select="'RWBGoods/RWBGOODS_ITEM'"/>
														<xsl:with-param name="Pos" select="position()"/>
													</xsl:call-template>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>		
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:variable name="NumGrS">
					<xsl:choose>
						<xsl:when test="contains((../@ctmtd:CfgName),'2015')">19</xsl:when>
						<xsl:otherwise>45</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:if test="(count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])>1 or count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>1) and count(SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(RailwayBillIn)>0])=0 and string-length(ContainerID)>0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС  с 1 контейнером, который расположен на несколький вагонах.Для контейнерного поезда необходимо заполнить Контейнерную ведомость'"/>
						<xsl:with-param name="DocId" select="../../../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[1]/RailwayBillIn')"/>	
					</xsl:call-template>
				</xsl:if>		
				<xsl:choose>
					<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])=0 and count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненными графами о вагоне(ах).'"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWBCarriage/RWBCARRIAGE_ITEM[1]/CarriageId')"/>	
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="count(SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(RailwayBillIn)>0])>0">
								<xsl:for-each select="SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[string-length(RailwayBillIn)>0]">
									<xsl:variable name="NumVagon" select="RailwayBillIn"/>
									<xsl:if test="string-length(ContainerID)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнен номер контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerID')"/>						
										</xsl:call-template>						
									</xsl:if>
									<xsl:if test="string-length(ContainerID)>0">
										<xsl:variable name="ValidCont">
											<xsl:call-template name="ValidContainerNum">
												<xsl:with-param name="Nums" select="normalize-space(ContainerID)"/>
											</xsl:call-template>
										</xsl:variable>
										<xsl:if test="$ValidCont=0">
											<xsl:call-template name="ErrorNode">
												<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с № контейнера - не соответсвует формату ХХХХ9999999 либо контрольная сумма не соответсвует контрольному числу'"/>
												<xsl:with-param name="DocId" select="../../../@id"/>
												<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerID')"/>				
												<xsl:with-param name="Category" select="'WARNING'"/>					
											</xsl:call-template>		
										</xsl:if>
									</xsl:if>			
									<xsl:if test="string-length(ContainerMode)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнен тип контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerMode')"/>						
										</xsl:call-template>						
									</xsl:if>
									<xsl:if test="string-length(ContainerWeight)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнен Масса тары контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerWeight')"/>						
										</xsl:call-template>	
									</xsl:if>	
									<xsl:if test="string-length(TotalGrossWeightQuantity)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнен Общая масса брутто контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/TotalGrossWeightQuantity')"/>						
										</xsl:call-template>	
									</xsl:if>	
									<xsl:if test="(string-length(ContainerOwner)=0 and string-length(ContainerOwnerCountryCode)>0) and string-length(WagonOwnerCountryCodeIn)=0 and string-length(OwnerTypeIn)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнено поле Код страны принадлежности контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerOwner')"/>						
										</xsl:call-template>						
									</xsl:if>
									<xsl:if test="(string-length(ContainerOwner)>0 and string-length(ContainerOwnerCountryCode)=0) and string-length(WagonOwnerCountryCodeIn)=0 and string-length(OwnerTypeIn)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнено поле Признак собственника контейнера.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/ContainerOwnerCountryCode')"/>						
										</xsl:call-template>						
									</xsl:if>
									<xsl:if test="string-length(SealID)=0 or string-length(WhoseSeal)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнено поле Пломба контейнера или Признак собственника пломбы.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/SealID')"/>						
										</xsl:call-template>						
									</xsl:if>
									<xsl:if test="(string-length(WagonOwnerCountryCodeIn)=0 or string-length(OwnerTypeIn)=0) and string-length(ContainerOwner)=0 and string-length(ContainerOwnerCountryCode)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой не заполнено поле Код Странны или Признак принадлежности вагона.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/OwnerTypeIn')"/>						
										</xsl:call-template>					
									</xsl:if>
									<xsl:if test="string-length($NumVagon)=7 and string-length(WagonOwnerCountryCodeIn)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС, в контейнерной ведомости которой  Номер вагона 7 символов и Код страны собственника не заполнен.'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/WagonOwnerCountryCodeIn')"/>						
										</xsl:call-template>						
									</xsl:if>		
									<xsl:if test="number($NumVagon)=0">
										<xsl:call-template name="ErrorNode">
											<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с вагоном, у которого не правильно заполнено поле Номер вагона (не должен заполняться 0).'"/>
											<xsl:with-param name="DocId" select="../../../@id"/>
											<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/SMGS_CONTAINERS/SMGS_CONTAINERS_ITEM[',position(),']/RailwayBillIn')"/>						
										</xsl:call-template>						
									</xsl:if>	
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="count(RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость'])>0">
								<xsl:for-each select="RWBCarriage/RWBCARRIAGE_ITEM[string-length(CarriageId)>0 and CarriageId!='см.Вагонную ведомость']">
									<xsl:call-template name="VagonRwFlk">
										<xsl:with-param name="NumVagon" select="CarriageId"/>
										<xsl:with-param name="PosRw" select="$PosRwb"/>
										<xsl:with-param name="NodeRw" select="'RWBCarriage/RWBCARRIAGE_ITEM'"/>
										<xsl:with-param name="Pos" select="position()"/>
										<xsl:with-param name="Flg" select="0"/>
										<xsl:with-param name="NumGrS" select="$NumGrS"/>
									</xsl:call-template>	
								</xsl:for-each>	
							</xsl:when>
							<xsl:when test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])>0">
								<xsl:for-each select="SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0]">
									<xsl:call-template name="VagonRwFlk">
										<xsl:with-param name="NumVagon" select="RailwayBill"/>
										<xsl:with-param name="PosRw" select="$PosRwb"/>
										<xsl:with-param name="NodeRw" select="'SMGS_VAGONS/SMGS_VAGONS_ITEM'"/>
										<xsl:with-param name="Pos" select="position()"/>
										<xsl:with-param name="Flg" select="1"/>
										<xsl:with-param name="NumGrS" select="$NumGrS"/>										
									</xsl:call-template>
								</xsl:for-each>	
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>		
				</xsl:choose>
				
				<xsl:if  test="count(SMGS_VAGONS/SMGS_VAGONS_ITEM[string-length(RailwayBill)>0])=0">
					<xsl:if test="count(RWBSeal/RWBSEAL_ITEM[string-length(SealId)>0])=0 and count(RWBSeal/RWBSEAL_ITEM[string-length(WhoseSeal)>0])=0 ">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС с не заполненной таблицей в гр.',$NumGrS)"/>
							<xsl:with-param name="DocId" select="../../../@id"/>
							<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBSeal/RWBSEAL_ITEM[1]/SealId')"/>	
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="count(RWBSeal/RWBSEAL_ITEM[string-length(SealId)>0 and string-length(WhoseSeal)=0])>0">
						<xsl:for-each select="RWBSeal/RWBSEAL_ITEM[string-length(SealId)>0]">
							<xsl:if test=" string-length(WhoseSeal)=0">
								<xsl:call-template name="ErrorNode">
									<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС с не заполненным полем Пломбирующая сторона в таблице гр.',$NumGrS)"/>
									<xsl:with-param name="DocId" select="../../../@id"/>
									<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBSeal/RWBSEAL_ITEM[',position(),']/WhoseSeal')"/>	
								</xsl:call-template>						
							</xsl:if>
						</xsl:for-each>
					</xsl:if>
					<xsl:for-each select="RWBSeal/RWBSEAL_ITEM[string-length(SealId)>10]">
						<xsl:variable name="NotNumSel">
							<xsl:call-template name="NumSel">
								<xsl:with-param  name="SelN" select="SealId"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:if test="$NotNumSel=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС, в которой  в таблице гр.',$NumGrS,' номер пломбы не содержит цифр.')"/>
								<xsl:with-param name="DocId" select="../../../@id"/>
								<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBSeal/RWBSEAL_ITEM[',position(),']/SealId')"/>	
							</xsl:call-template>						
						</xsl:if>
						<xsl:if test="string-length(SealId)>10">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="concat('Пакет содержит документ СМГС, в которой  в таблице гр.',$NumGrS,' номер пломбы в цифрах более 10 символов.')"/>
								<xsl:with-param name="DocId" select="../../../@id"/>
								<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/RWBSeal/RWBSEAL_ITEM[',position(),']/SealId')"/>	
							</xsl:call-template>						
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="string-length(G46_Date)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Дата(время) приема груза к перевозке/пересечения границы.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/G46_Date')"/>	
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(G46_Type)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Признак Даты(время) приема груза к перевозке/пересечения границы.'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/G46_Type')"/>	
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(WeightDefinitionModeDescriptionEDIFACT)=0">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит документ СМГС с не заполненным полем Cпособ определения веса (EDIFACT).'"/>
						<xsl:with-param name="DocId" select="../@id"/>
						<xsl:with-param name="PathErr" select="concat('RWB[',$PosRwb,']/RWB_ITEM/WeightDefinitionModeDescriptionEDIFACT')"/>	
					</xsl:call-template>						
				</xsl:if>				
			</xsl:for-each>
			<xsl:if test="count(//PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM)=0">
				<xsl:for-each select="//INVOICE/INVOICE_ITEM">
					<xsl:variable name="IdInv" select="../@id"/>
					<xsl:variable name="InvType" select="../@ctmtd:CfgName"/>
					<xsl:variable name="InvPos" select="position()"/>
					<xsl:if test="string-length(RegNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс без номера регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegNum'"/>					
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegNum)>35">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с номером регистрации документа, длина которого превышает 35 символов.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegNum'"/>					
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс без даты регистрации документа. '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/RegDate'"/>								
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(DispatchCountryCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем  Код страны отправления '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/DispatchCountryCode'"/>								
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(DestinationCountryCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код страны назначения '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/DestinationCountryCode'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(TradingCountryCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код торгующей страны '"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/TradingCountryCode'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:if test="string-length(DeliveryTermsStringCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код условий поставки'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/DeliveryTermsStringCode'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:if test="string-length(CurrencyCode)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код валюты.'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/CurrencyCode'"/>								
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(Buyer_Name)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Наименование покупателя'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Buyer_Name'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:if test="string-length(Seler_Name)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Наименование продавца'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Seler_Name'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:if test="string-length(Consignee_CountryCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Код страны отправителя'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Consignee_CountryCode'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:if test="string-length(Consignor_CountryCode)>0 and string-length(Consignee_CountryCode)>0 and Consignor_CountryCode=Consignee_CountryCode">
					<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит инвойс, в котором код страны отправителя совпадает с кодом страны получателя.'"/>
						<xsl:with-param name="DocId" select="$IdInv"/>
						<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/Consignee_CountryCode'"/>			
						<xsl:with-param name="TypeDoc" select="$InvType"/>
						<xsl:with-param name="PosPkg" select="$InvPos"/>
						<xsl:with-param name="Category" select="'WARNING'"/>
					</xsl:call-template>
				</xsl:if>	
					<xsl:if test="string-length(GCost)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с не заполненным полем Общая стоимость'"/>
							<xsl:with-param name="DocId" select="$IdInv"/>
							<xsl:with-param name="PathErr" select="'INVOICE/INVOICE_ITEM/GCost'"/>			
							<xsl:with-param name="TypeDoc" select="$InvType"/>
							<xsl:with-param name="PosPkg" select="$InvPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>							
					</xsl:if>
					<xsl:for-each select="INVOICEGoods/INVOICEGOODS_ITEM">
						<xsl:variable name="PosGoods" select="position()"/>
						<xsl:if test="string-length(GoodsDescription)=0"> 
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Наименование товара. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>								
						</xsl:if>  
						<xsl:if test="string-length(GoodsDescription)>700"> 
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором длина значения поля Наименование товара больше допустимого значения (700 симовол). '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsDescription')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>								
						</xsl:if>  
						<xsl:if test="string-length(GoodsCode)=0 "> 
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Код ТН ВЭД. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GoodsCode')"/>
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>								
						</xsl:if>  
						<xsl:if test="string-length(NetWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Все нетто. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/NetWeightQuantity')"/>		
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>								
						</xsl:if>
						<xsl:if test="string-length(GrossWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором не заполнено поле Все брутто. '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/GrossWeightQuantity')"/>		
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>								
						</xsl:if>
						<xsl:if test="string-length(TotalCost)>0 and contains(TotalCost,'.') and string-length(substring-after(TotalCost,'.'))>2">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит инвойс с товаром, в котором значение в поле Стоимость не соответсвует установленному формату (Всего 20 цифр из них  до 2 знаков после запятой). '"/>
								<xsl:with-param name="DocId" select="$IdInv"/>
								<xsl:with-param name="PathErr" select="concat('INVOICE/INVOICE_ITEM/INVOICEGoods/INVOICEGOODS_ITEM[',$PosGoods,']/TotalCost')"/>		
								<xsl:with-param name="TypeDoc" select="$InvType"/>
								<xsl:with-param name="PosPkg" select="$InvPos"/>
							</xsl:call-template>								
						</xsl:if>
					</xsl:for-each>	
				</xsl:for-each>
				<xsl:for-each select="//PACKINGLIST/PACKINGLIST_ITEM">
					<xsl:variable name="IdPcg" select="../@id"/>
					<xsl:variable name="PackType" select="../@ctmtd:CfgName"/>
					<xsl:variable name="PackPos" select="position()"/>
					<xsl:variable name="PosPack" select="position()"/>
					<xsl:if test="string-length(RegNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист без номера регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/RegNum'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(RegNum)>35">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с номером регистрации документа, длина которого превышает 35 символов.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/RegNum'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(RegDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист без даты регистрации документа.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/RegDate'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
						</xsl:call-template>	
					</xsl:if>	
					<xsl:if test="string-length(InvoiceNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с незаполненным полем Номер инвойса.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/InvoiceNum'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(InvoiceDate)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с незаполненным полем Дата инвойса.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/InvoiceDate'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>	
					<xsl:if test="string-length(ContractNum)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с незаполненным полем Номер контракта.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/ContractNum'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>
					<xsl:if test="string-length(GrossWeightQuantity)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с не заполненным полем Общий вес брутто.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/GrossWeightQuantity'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>	
					<xsl:if test="string-length(NetWeightQuantity)=0 or number(NetWeightQuantity)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Упаковочный лист с не заполненным или равный 0 полем Общий вес нетто.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/NetWeightQuantity'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>	
					</xsl:if>	
					<xsl:if test="string-length(Consignor_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с не заполненным полем Грузоотправитель Наименование .'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/Consignor_Name'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>					
					</xsl:if>
					
					<xsl:if test="string-length(Consignee_Name)=0">
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с не заполненным полем Грузополучатель Наименование .'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/Consignee_Name'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>				
					</xsl:if>
					<xsl:if test="count(//PACKINGLISTGOODS_ITEM[string-length(PackingCode)>0])=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товарами, у которых не заполнен Код грузового места.'"/>
							<xsl:with-param name="DocId" select="$IdPcg"/>
							<xsl:with-param name="PathErr" select="'PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGOODS/PACKINGLISTGOODS_ITEM[1]/PackingCode'"/>						
							<xsl:with-param name="TypeDoc" select="$PackType"/>
							<xsl:with-param name="PosPkg" select="$PackPos"/>
							<xsl:with-param name="Category" select="'WARNING'"/>
						</xsl:call-template>						
					</xsl:if>
					<xsl:for-each select="PACKINGLISTGoods/PACKINGLISTGOODS_ITEM">
						<xsl:variable name="PosPackGoods" select="position()"/>
						<xsl:if test="string-length(GoodsDescription)=0"> 
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товаром, в котором не заполнено поле Наименование товара.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/GoodsDescription')"/>						
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>						
						</xsl:if>
						<xsl:if test="string-length(GoodsCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товаром, в котором не заполнено поле Код товара.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/GoodsCode')"/>						
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>					
						</xsl:if>  
						<xsl:if test="string-length(PackingCode)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товаром, в котором не заполнено поле Код вида грузовых мест.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/PackingCode')"/>						
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>					
						</xsl:if>
						<xsl:if test="string-length(PlacesQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товаром, в котором не заполнено поле Кол-во грузовых мест.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/PlacesQuantity')"/>						
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>					
						</xsl:if>
						<xsl:if test="string-length(GrossWeightQuantity)=0">
							<xsl:call-template name="ErrorNode">
								<xsl:with-param name="MessErr" select="'Пакет содержит упаковочный лист с товаром, в котором не заполнено поле Вес брутто.'"/>
								<xsl:with-param name="DocId" select="$IdPcg"/>
								<xsl:with-param name="PathErr" select="concat('PACKINGLIST/PACKINGLIST_ITEM/PACKINGLISTGoods/PACKINGLISTGOODS_ITEM[',$PosPackGoods,']/GrossWeightQuantity')"/>						
								<xsl:with-param name="TypeDoc" select="$PackType"/>
								<xsl:with-param name="PosPkg" select="$PackPos"/>
								<xsl:with-param name="Category" select="'WARNING'"/>
							</xsl:call-template>					
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:if>
			<xsl:for-each select="//PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM">
				<xsl:variable name="IdPiRw" select="../@id"/>
				<xsl:if test="string-length(PPVNumber)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Номер поездной ведомости .'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/PPVNumber'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainNumber)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Номер поезда .'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainNumber'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainIndex)>0 and string-length(TrainDepStationCode)>0  and string-length(TrainDestStationCode)>0 and  (substring(TrainIndex,11,5)!=substring(TrainDestStationCode,1,5) or substring(TrainIndex,6,1)!='/' or substring(TrainIndex,10,1)!='/')"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с неверно заполненным полем Индекс поезда - последние 5 символов должны соответсвовать первым 5 символам кода станции назначения поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainIndex'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainIndex)>0 and string-length(TrainDepStationCode)>0  and string-length(TrainDestStationCode)>0 and  (substring(TrainIndex,1,5)!=substring(TrainDepStationCode,1,5) or substring(TrainIndex,6,1)!='/' or substring(TrainIndex,10,1)!='/')"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с неверно заполненным полем Индекс поезда - первые 5 символов должны соответсвовать первым 5 символам кода станции отправления поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainIndex'"/>						
					</xsl:call-template>						
				</xsl:if>

				<xsl:if test="string-length(ArrivalDate)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Дата ожидаемого прибытия на вх.погран.станцию .'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/ArrivalDate'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainBorderStationName)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Наименование Входной пограничной станции.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainBorderStationName'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainBorderStationCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код Входной пограничной станции.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainBorderStationCode'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDepStationCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции отправления поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDepStationCode'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDepRailwayCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код страны дороги отправления поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDepRailwayCode'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDepStationName)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Наименование станции отправления поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDepStationName'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDestStationCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции назначения поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDestStationCode'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDestRailwayCode)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код страны дороги назначения поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDestRailwayCode'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:if test="string-length(TrainDestStationName)=0"> 
					<xsl:call-template name="ErrorNode">
					<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Наименование станции назначения поезда.'"/>
						<xsl:with-param name="DocId" select="$IdPiRw"/>
						<xsl:with-param name="PathErr" select="'PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/TrainDestStationName'"/>						
					</xsl:call-template>						
				</xsl:if>
				<xsl:for-each select="Wagon/WAGON_ITEM">
					<xsl:if test="string-length(WagonNumber)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Номер вагона.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/WagonNumber')"/>	
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(DepStationCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции отправления.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DepStationCode')"/>	
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(DepRailwayCode)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код страны дороги отправления.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DepRailwayCode')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="string-length(DepStationName)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код наименование станции отправления поезда.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DepStationName')"/>						
						</xsl:call-template>						
					</xsl:if>	
					<xsl:if test="string-length(DestStationCode)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код станции назначения.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DestStationCode')"/>	
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="string-length(DestRailwayCode)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код страны дороги назначения.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DestRailwayCode')"/>						
						</xsl:call-template>						
					</xsl:if>
					<xsl:if test="string-length(DestStationName)=0"> 
						<xsl:call-template name="ErrorNode">
						<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Код наименование станции назначения поезда.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/DestStationName')"/>						
						</xsl:call-template>						
					</xsl:if>		
					<xsl:if test="string-length(SMGSNum)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Номер накладной.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/SMGSNum')"/>	
						</xsl:call-template>
					</xsl:if>	
					<xsl:if test="string-length(SMGSDate)=0"> 
						<xsl:call-template name="ErrorNode">
							<xsl:with-param name="MessErr" select="'Пакет содержит Уведомление о поезде с не заполненным полем Дата составления накладной.'"/>
							<xsl:with-param name="DocId" select="$IdPiRw"/>
							<xsl:with-param name="PathErr" select="concat('PITRAINRWARRIVE/PITRAINRWARRIVE_ITEM/Wagon/WAGON_ITEM[',position(),']/SMGSDate')"/>	
						</xsl:call-template>
					</xsl:if>	
				</xsl:for-each>	
			</xsl:for-each>
		</ResultInformation>
	</xsl:template>
</xsl:stylesheet>
